package com.smppw.common.pojo.enums;

import lombok.Getter;

/**
 * 市场指数对象枚举
 *
 * @author mozuwen
 * @version 1.0
 * @date 2023-03-31 11:47
 */
@Getter
public enum MarketIndexEnum {
    A_SHARE_INDEX(1, "A股指数"),
    PRIVATE_INDEX(2, "私募指数"),
    PUBLIC_INDEX(3, "公募指数"),
    SECTOR_INDEX(4, "行业指数"),
    BOND_INDEX(5, "债券指数"),
    FUTURES_INDEX(6, "期货指数"),
    OTHER_INDEX(999, "其他指数");

    private final int type;
    private final String name;

    MarketIndexEnum(int type, String name) {
        this.type = type;
        this.name = name;
    }
}
